package java.sql;

import javax.xml.transform.Result;
import javax.xml.transform.Source;
import java.io.Writer;
import java.io.Reader;
import java.io.OutputStream;
import java.io.InputStream;

public interface SQLXML
{
    public abstract void free() throws SQLException;
    
    public abstract InputStream getBinaryStream() throws SQLException;
    
    public abstract OutputStream setBinaryStream() throws SQLException;
    
    public abstract Reader getCharacterStream() throws SQLException;
    
    public abstract Writer setCharacterStream() throws SQLException;
    
    public abstract String getString() throws SQLException;
    
    public abstract void setString(String p0) throws SQLException;
    
    public abstract <T extends Source> T getSource(Class<T> p0) throws SQLException;
    
    public abstract <T extends Result> T setResult(Class<T> p0) throws SQLException;
}
